> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /flamp/firms

> Get a Flamp organization (firm) by its id

**Price:** 1 credit

**⚠️ Common errors:** 412: Firm not found for the given id



## OpenAPI

````yaml /openapi/reviews-consumer-business.json post /api/flamp/firms
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/flamp/firms:
    post:
      tags:
        - /flamp
      summary: /flamp/firms
      description: |-
        Get a Flamp organization (firm) by its id

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Firm not found for the given id
      operationId: __api_flamp_firms_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlampFirmPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlampFirm'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FlampFirmPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        firm:
          type: string
          minLength: 1
      type: object
      required:
        - firm
    FlampFirm:
      properties:
        '@type':
          type: string
          default: FlampFirm
        id:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name_primary:
          anyOf:
            - type: string
            - type: 'null'
        name_extension:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        building_name:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          type: integer
          default: 0
        photo_count:
          type: integer
          default: 0
        recommendation_count:
          type: integer
          default: 0
        official_answer_review_count:
          type: integer
          default: 0
        trusted_review_count:
          type: integer
          default: 0
        rating_distribution:
          additionalProperties:
            type: integer
          type: object
          default: {}
        org_id:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        socials:
          additionalProperties:
            type: string
          type: object
          default: {}
        primary_rubric:
          anyOf:
            - type: string
            - type: 'null'
        rubrics:
          items:
            $ref: '#/components/schemas/FlampFirmRubric'
          type: array
          default: []
        work_hours:
          items:
            $ref: '#/components/schemas/FlampFirmDay'
          type: array
          default: []
        nearest_stations:
          items:
            $ref: '#/components/schemas/FlampFirmStation'
          type: array
          default: []
        business_account:
          anyOf:
            - $ref: '#/components/schemas/FlampBusinessAccount'
            - type: 'null'
        has_official_answers:
          type: boolean
          default: false
        is_blocked:
          type: boolean
          default: false
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FlampFirmRubric:
      properties:
        '@type':
          type: string
          default: FlampFirmRubric
        id:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
        parent_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    FlampFirmDay:
      properties:
        '@type':
          type: string
          default: FlampFirmDay
        day:
          type: string
        working_hours:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - day
    FlampFirmStation:
      properties:
        '@type':
          type: string
          default: FlampFirmStation
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        distance:
          anyOf:
            - type: integer
            - type: 'null'
        line:
          anyOf:
            - type: string
            - type: 'null'
        types:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    FlampBusinessAccount:
      properties:
        '@type':
          type: string
          default: FlampBusinessAccount
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_premium:
          type: boolean
          default: false
        filial_count:
          type: integer
          default: 0
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````